Starts a questionnaire survey for multiple clients with specified scheduling parameters.
curl --request POST \
--url https://api.example.com/questionnaires/{id}/start-for-clients \
--header 'Content-Type: application/json' \
--data '
[
{
"clientId": 123,
"questionnaireId": 123,
"startDate": "2023-11-07T05:31:56Z",
"interval": 123,
"retries": 123,
"intervalBackOffMultiplier": 123
}
]
'import requests
url = "https://api.example.com/questionnaires/{id}/start-for-clients"
payload = [
{
"clientId": 123,
"questionnaireId": 123,
"startDate": "2023-11-07T05:31:56Z",
"interval": 123,
"retries": 123,
"intervalBackOffMultiplier": 123
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
clientId: 123,
questionnaireId: 123,
startDate: '2023-11-07T05:31:56Z',
interval: 123,
retries: 123,
intervalBackOffMultiplier: 123
}
])
};
fetch('https://api.example.com/questionnaires/{id}/start-for-clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Questionnaire
Starts a questionnaire survey for multiple clients with specified scheduling parameters.
POST
/
questionnaires
/
{id}
/
start-for-clients
Starts a questionnaire survey for multiple clients with specified scheduling parameters.
Path Parameters
The unique identifier of the questionnaire to start.
Body
application/jsontext/jsonapplication/*+json
The list of client-specific survey start requests with scheduling details.
Response
OK
⌘I